Calico®
v2
  • v2
  • v1
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Assets
  • Getting Started
  • Calico Connect
  • Use Cases
  • Pagination
  • Versioning
  • Platform API
    • Changelog
    • Authentication
      • Authorization Callback
    • Providers
      • Add providers
      • List connected providers
      • Remove providers
    • Assets
      • User assets
        GET
      • Refresh asset list
        POST
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • CalicoErrorResponse
      • RefreshResponse
    • AddProvidersRequest
    • AddProvidersResponse
    • AddProvidersData
    • ListProvidersResponse
    • ListProvidersData
    • ProviderMetadata
    • DeleteProvidersRequest
    • DeleteProvidersResponse
    • DeleteProvidersData
    • ProviderMetadataV2.1
    • ConnectedProvidersMetadataV2.1
    • GetAssetsResponse
    • GetAssetsData
    • AssetPosition
    • GetTransactionsResponse
    • GetTransactionsData
    • TransactionCategorization
    • TransactionType
    • FeeItem
    • FeeObject
    • CurrencyValue
    • Transactions data
    • Input only transactions
    • Send transaction data
    • Receive transaction data
    • Output only transaction data
    • Transactions with input and output
    • Uncategorized transaction data
    • CryptoSourceCredentialAuthType
    • RefreshResponseData
    • IntegrationResponse
    • IntegrationData
    • AuthMetaData
    • PageData
    • APIConnection
    • WalletConnection
    • OAuth2Connection
    • ErrorItem
    • ProviderId
    • GetConsentURLForThirdPartyResponse
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Assets

User assets

Platform v2
https://api.getcalico.com
Platform v2
https://api.getcalico.com
GET
/accounts/v2/assets
Get a list of digital assets for the connected user.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Asset holdings for the user.
Body

⚪0Bad Request
⚪0Unauthorized
⚪0Not Found
⚪0Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.getcalico.com/accounts/v2/assets?asset_symbols&limit&provider_ids&cursor' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "page": {
        "next_uri": "/transactions?start_time=2025-11-22T23%3A45%3A50Z&end_time=2026-01-25T22%3A47%3A34Z&limit=30&cursor=DLVsbG8sIFdvcmxkIQ=="
    },
    "errors": [
        {
            "provider_id": "string",
            "cause": "bad_request"
        }
    ],
    "data": {
        "assets": [
            {
                "asset_symbol": "string",
                "asset_holdings": 0,
                "staked_holdings": 0,
                "time_fetched": "2019-08-24T14:15:22.123Z",
                "provider_id": "coinbase",
                "price_in_usd": 0,
                "wallet_address_redacted": "string",
                "chain": "eth"
            }
        ]
    }
}
Previous
Assets
Next
Refresh asset list